apiVersion: apps/v1
kind: Deployment
metadata :
  name: {{ .Values.appName }} # Voir RQ 1 & 2 
spec:
  replicas: {{ .Values.appReplicas }}
  selector:
    matchLabels:
      app: {{ .Values.appName }}
  template:
    metadata:
      labels:
        app: {{ .Values.appName }}
    spec:
      containers:
        - name: {{ .Values.appName }}
          image: "{{ .Values.appImage }}:{{ .Values.appVersion }}" # Voir RQ 3 
          ports:
            - containerPort: {{ .Values.containerPort }}
          env: 
          {{ -range .Values.containerEnvVars }} # RQ 5 + EQ à : for x in containerEnvVars TQ containerEnvVars lista (voir values)
            - name: {{ .name }} # x.name 
              value: {{ .value | quote }} # x.value # Voir RQ 6 
          {{ -end }} # end ll for loop 

         